View Issue Details

IDProjectCategoryView StatusLast Update
0002953unrealircdpublic2006-11-04 17:59
ReporterJasonTikAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOS*OS Version*
Product Version3.2.5 
Target VersionFixed in Version3.2.6 
Summary0002953: mkpasswd crypt
DescriptionAdd a warning when using mkpassword with the crypt authtype and a password longer than eight characters, that the password will be truncated to eight characters.
TagsNo tags attached.
3rd party modules

Relationships

child of 0002936 resolvedsyzop 3.2.6 Release 

Activities

syzop

2006-06-07 05:42

administrator   ~0011907

Sounds like a good idea.

syzop

2006-11-04 17:59

administrator   ~0012588

Done so in 32* and 33*:
- If the 'crypt' algorithm is used, then passwords were/are truncated to 8 characters.
  We now print a warning when this happens (both on the IRC command and command-line).
  Suggested by JasonTik (0002953).

Issue History

Date Modified Username Field Change
2006-06-06 21:14 JasonTik New Issue
2006-06-07 05:42 syzop Note Added: 0011907
2006-06-07 05:42 syzop Status new => confirmed
2006-06-07 05:42 syzop Relationship added child of 0002936
2006-11-04 17:59 syzop Status confirmed => resolved
2006-11-04 17:59 syzop Fixed in Version => 3.2.6
2006-11-04 17:59 syzop Resolution open => fixed
2006-11-04 17:59 syzop Assigned To => syzop
2006-11-04 17:59 syzop Note Added: 0012588